openSUSE Security Update: Security update for tcpreplay
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2023:0267-1
Rating:             moderate
References:         #1209413 #1209416 
Cross-References:   CVE-2023-27783 CVE-2023-27786
CVSS scores:
                    CVE-2023-27783 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2023-27786 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Backports SLE-15-SP4
                    openSUSE Backports SLE-15-SP5
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for tcpreplay fixes the following issues:

   Update to 4.4.4:

   * overflow check fix for parse_mpls.
   * tcpreplay-edit: prevent L2 flooding of ipv6 unicast packets.
   * CVE-2023-27786: bugs caused by strtok_r. (boo#1209416)
   * CVE-2023-27783 reachable assert in tcpedit_dlt_cleanup (boo#1209413)
   * reachable assert in fast_edit_packet.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP5:

      zypper in -t patch openSUSE-2023-267=1

   - openSUSE Backports SLE-15-SP4:

      zypper in -t patch openSUSE-2023-267=1



Package List:

   - openSUSE Backports SLE-15-SP5 (aarch64 i586 ppc64le s390x x86_64):

      tcpreplay-4.4.4-bp155.2.3.1
      tcpreplay-debuginfo-4.4.4-bp155.2.3.1
      tcpreplay-debugsource-4.4.4-bp155.2.3.1

   - openSUSE Backports SLE-15-SP4 (aarch64 i586 ppc64le s390x x86_64):

      tcpreplay-4.4.4-bp154.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2023-27783.html
   https://www.suse.com/security/cve/CVE-2023-27786.html
   https://bugzilla.suse.com/1209413
   https://bugzilla.suse.com/1209416

openSUSE: 2023:0267-1 moderate: tcpreplay

September 26, 2023
An update that fixes two vulnerabilities is now available

Description

This update for tcpreplay fixes the following issues: Update to 4.4.4: * overflow check fix for parse_mpls. * tcpreplay-edit: prevent L2 flooding of ipv6 unicast packets. * CVE-2023-27786: bugs caused by strtok_r. (boo#1209416) * CVE-2023-27783 reachable assert in tcpedit_dlt_cleanup (boo#1209413) * reachable assert in fast_edit_packet.

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP5: zypper in -t patch openSUSE-2023-267=1 - openSUSE Backports SLE-15-SP4: zypper in -t patch openSUSE-2023-267=1


Package List

- openSUSE Backports SLE-15-SP5 (aarch64 i586 ppc64le s390x x86_64): tcpreplay-4.4.4-bp155.2.3.1 tcpreplay-debuginfo-4.4.4-bp155.2.3.1 tcpreplay-debugsource-4.4.4-bp155.2.3.1 - openSUSE Backports SLE-15-SP4 (aarch64 i586 ppc64le s390x x86_64): tcpreplay-4.4.4-bp154.2.3.1


References

https://www.suse.com/security/cve/CVE-2023-27783.html https://www.suse.com/security/cve/CVE-2023-27786.html https://bugzilla.suse.com/1209413 https://bugzilla.suse.com/1209416


Severity
Announcement ID: openSUSE-SU-2023:0267-1
Rating: moderate
Affected Products: openSUSE Backports SLE-15-SP4 openSUSE Backports SLE-15-SP5 .

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo